* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
/* Fix for Bootstrap 3 with Angular UI Bootstrap */

body {
    background-image: url("../images/background.jpg");*/
    background-repeat: no-repeat;
    background-size: 100%;   
}

@font-face {
    font-family: LittleLordFontleroyNF;
    src: url("../fonts/LittleLordFontleroyNF.ttf");
}

.navbar-brand > div {
    font-family: LittleLordFontleroyNF;
    font-size: 48px;
    font-style: italic;
    color: #265a88;
}
.navbar-brand > div > span {
    font-size: x-large;
}

.modal { 
	display: block;
}
/* Ease Display */

.pad { padding: 25px; }

#content {
    margin-top: 20px;
}

.css-form input.ng-invalid.ng-dirty {
    background-color: #FA787E;
}
.css-form input.ng-valid.ng-dirty {
    background-color: #78FA89;
}

.twitter-typeahead { width: 100%; } 
/*.twitter-typeahead .tt-query,
.twitter-typeahead .tt-hint {
        margin-bottom: 0px;
        margin-top: 0px;
        font-size: 13px;
        padding-left: 14px;
        padding-right: 14px;
        -webkit-border-radius: 15px;
           -moz-border-radius: 15px;
                border-radius: 15px;
        width: 100%;
        min-height: 30px;
        display: block;
        -webkit-box-sizing: border-box;
           -moz-box-sizing: border-box;
                box-sizing: border-box;
}*/

/*.twitter-typeahead .tt-query:focus,
.twitter-typeahead .tt-hint:focus {
        background-color: #fff ! important;
}*/

.tt-dropdown-menu {
        width: 100%;
  margin-top: 2px;
  padding: 5px 0;
  background-color: #fff;
  border: 1px solid #ccc;
  border: 1px solid rgba(0,0,0,.2);
  *border-right-width: 2px;
  *border-bottom-width: 2px;
  -webkit-border-radius: 6px;
     -moz-border-radius: 6px;
          border-radius: 6px;
  -webkit-box-shadow: 0 5px 10px rgba(0,0,0,.2);
     -moz-box-shadow: 0 5px 10px rgba(0,0,0,.2);
          box-shadow: 0 5px 10px rgba(0,0,0,.2);
  -webkit-background-clip: padding-box;
     -moz-background-clip: padding;
          background-clip: padding-box;
}

.tt-suggestion.tt-cursor {
  color: #fff;
  background-color: #31708f;
  background-image: -moz-linear-gradient(top, #0088cc, #0077b3);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0077b3));
  background-image: -webkit-linear-gradient(top, #0088cc, #0077b3);
  background-image: -o-linear-gradient(top, #0088cc, #0077b3);
  background-image: linear-gradient(to bottom, #0088cc, #0077b3);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc', endColorstr='#ff0077b3', GradientType=0)
}

/*
.tt-suggestion.tt-is-under-cursor a {
  color: #B7E0F5;
}
*/
.tt-suggestion p {
  margin: 0;
}

.force-scroll {
    overflow-y: auto;
}

.btn-primary-inv, .btn-warning-inv, .btn-danger-inv, .btn-info-inv {
    background-color: #FFFFFF;
}

.btn-info-inv,
.btn-warning-inv,
.btn-primary-inv,
.btn-danger-inv {
    background-image: none;
}
.btn-info-inv {
    color: #46b8da;
    border-color: #46b8da;
}
.btn-warning-inv {
    color: #f0ad4e;
    border-color: #f0ad4e;
}
.btn-danger-inv {
    color: #d43f3a;
    border-color: #d43f3a;
}
.btn-primary-inv {
    color: #357ebd;
    border-color: #357ebd;
}

.do_not_wrap_white_space {
    white-space: nowrap;
}

.table {
    background-color: white;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
}

.table > thead > tr > th, 
.table > tbody > tr > td {
    vertical-align: middle;
}
.table > tbody > tr > td[data-title="'Nom'"],
.table > tbody > tr > td[data-title="'Editeur'"],
.table > tbody > tr > td[data-title="'Domaine'"],
.table > tbody > tr > td[data-title="'Pays'"],
.table > tbody > tr > td[data-title="'Environment'"],
.table > tbody > tr > td[data-title="'Plateforme'"] {
    min-width: 1%;
}
.table > tbody > tr > td[data-title="'Valeur'"] {
    min-width: 15%;
}
.table > tbody > tr > td[data-title="'Description'"] {
    max-width: 25%;
}
.table > tbody > tr > td[data-title="'Template'"],
.table > tbody > tr > td[data-title="'Version'"],
.table > tbody > tr > td[data-title="'Version d arret'"]{
    width: 90px;
}
.table > thead > tr > th:nth-child(1),
.table > thead > tr > th:nth-child(2),
.table > tbody > tr > td[data-title-text=" "]{
    width: 48px;
}
.table > tbody > tr > td[data-title="'Environment'"] > select,
.table > tbody > tr > td[data-title="'Plateforme'"] > select {
    width: 140px;
}
.table > tbody > tr > td[data-title="'Domaine'"] > select,
.table > tbody > tr > td[data-title="'Pays'"] > select {
    width: 90px;
}

.btn {
    font-size: 16px;
}

.control-label {
    font-size: larger;
}

@-moz-document url-prefix() {
  fieldset { display: table-cell; }
}

.formbg {
    background-color: rgba(255,255,254,0.6);   
    padding-top: 15px;   
    padding-bottom: 15px;
    margin-bottom: 15px;
}

.alert > div > i {
    font-size: 20px;
}

#propinfo > div > .table > tbody > tr > td[data-title="'Environment'"] > select,
#propinfo > div > .table > tbody > tr > td[data-title="'Plateforme'"] > select,
#propslist > table > tbody > tr > td[data-title="'Domaine'"], {
    width: 100px;
}
#propinfo > div > .table > tbody > tr > td[data-title="'Domaine'"] > select {
    width: 90px;
}
#propinfo > div > .table > tbody > tr > td[data-title="'Pays'"] > select,
#propinfo > div > .table > tbody > tr > td[data-title="'Version'"] > input,
#propinfo > div > .table > tbody > tr > td[data-title="'Version d arret'"] > input {
    width: 75px;
}


.ios-toggle,
.ios-toggle:active {
  position: absolute;
  top: -5000px;
  height: 0;
  width: 0;
  opacity: 0;
  border: none;
  outline: none;
}

.ios-checkbox-label {
  display: block;
  position: relative;
  padding: 10px;
  margin-bottom: 20px;
  font-size: 12px;
  line-height: 16px;
  width: 100%;
  height: 36px;
  /*border-radius*/
  -webkit-border-radius: 18px;
  -moz-border-radius: 18px;
  border-radius: 18px;
  background: #f8f8f8;
  cursor: pointer;
}

.ios-checkbox-label:before {
  content: '';
  display: block;
  position: absolute;
  z-index: 1;
  line-height: 34px;
  text-indent: 40px;
  height: 36px;
  width: 36px;
  /*border-radius*/
  -webkit-border-radius: 100%;
  -moz-border-radius: 100%;
  border-radius: 100%;
  top: 0px;
  left: 0px;
  right: auto;
  background: white;
  /*box-shadow*/
  -webkit-box-shadow: 0 3px 3px rgba(0,0,0,.2), 0 0 0 2px #dddddd;
  -moz-box-shadow: 0 3px 3px rgba(0,0,0,.2), 0 0 0 2px #dddddd;
  box-shadow: 0 3px 3px rgba(0,0,0,.2), 0 0 0 2px #dddddd;
}

.ios-checkbox-label:after {
  content: attr(data-off);
  display: block;
  position: absolute;
  z-index: 0;
  top: 0;
  left: -300px;
  padding: 10px;
  height: 100%;
  width: 300px;
  text-align: right;
  color: black;
  white-space: nowrap;
}

.ios-toggle:checked + .ios-checkbox-label {
  /*box-shadow*/
  -webkit-box-shadow: inset 0 0 0 20px rgba(19,191,17,1), 0 0 0 2px rgba(19,191,17,1);
  -moz-box-shadow: inset 0 0 0 20px rgba(19,191,17,1), 0 0 0 2px rgba(19,191,17,1);
  box-shadow: inset 0 0 0 20px rgba(19,191,17,1), 0 0 0 2px rgba(19,191,17,1);
}

.ios-toggle:checked + .ios-checkbox-label:before {
  left: calc(100% - 36px);
  /*box-shadow*/
  -webkit-box-shadow: 0 0 0 2px transparent, 0 3px 3px rgba(0,0,0,.3);
  -moz-box-shadow: 0 0 0 2px transparent, 0 3px 3px rgba(0,0,0,.3);
  box-shadow: 0 0 0 2px transparent, 0 3px 3px rgba(0,0,0,.3);
}

.ios-toggle:checked + .ios-checkbox-label:after {
  content: attr(data-on);
  left: 60px;
  width: 36px;
}


.fixed-panel {
    min-height: 200px;
    max-height: 400px;
    overflow-y: scroll;
}

xmp {
    margin: 0;
}
